API Explorer 936 endpoints

Get Customers Minimal at Bank

GET /obp/v7.0.0/banks/BANK_ID/customers-minimal

OBPv5.0.0-getCustomersMinimalAtOneBank Roles: CanGetCustomersMinimalAtOneBank(per bank) CustomerUser

Get Customers Minimal at Bank.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (3)
bank_id
gh.29.uk
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customers
Example success response
{
  "customers": [
    {
      "bank_id": "gh.29.uk",
      "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh"
    }
  ]
}
Possible errors (4)
  • OBP-30008: User Customer Link not found by USER_ID
  • OBP-50000: Unknown Error.
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv5.0.0 getCustomersMinimalAtOneBank Originally /obp/v5.0.0/banks/BANK_ID/customers-minimal